## jargon-text 4.3.1

=== Makefile ===
#
# Makefile for the Jargon File project
#
# Note: The files jarghist.html and jargbook.html may need substantive
# changes.  The file version.tex *will* need substantive changes.
VERSION = 4.3.1
VERS    = 431
#
# How to prepare a release:
#
#  1. Check to make sure the date on the latest history entry in version.tex
#     is current.
#  2. Do `make clean'.
#  3. Do `make pcheck' to check syntax
#  4. If the preceding steps reveal problems, fix and return to step 5.
#  5. Describe the new release in jarghist.html.
#  6. Do `make'.  This will recreate all distributed formats
#     and a tarball.  Watch for cross-reference errors turned up by HTML
#     generation.
#  7. RCS-commit all the masters.
#  8. Upload (by running `upload').
#
# After each release:
#
# 1. Bump the version number here.
# 2. Add the new version number to the version list in mkchange.
# 3. Add a new version paragraph to version.tex and move @comment LATEST
#    to precede it.
#

AWK = gawk	# This should be either gawk or nawk

HTMLFILES = INSTALL-HTML index.html jarghist.html download.html \
		jargbook.html alternates.html search.html jargon-search \
		jargtxt.html awards.html quoting.html mirroring.html \
		mirrorlist.html submissions.html related.html jargoogle.html
DERIVED  = jargon-upd.lst jargon-README

LEXIFILES = lexicon1.tex ascii.tex lexicon2.tex lexicon3.tex lexicon4.tex
TXTFILES  = jargon.tex $(LEXIFILES) online.tex version.tex
BOOKFILES = jargon.tex $(LEXIFILES) jargonbook.tex version.tex
OLDFILES  = oldversions/jargon-2.1.1.txt oldversions/jargon-81.txt oldversions/jargon-82.txt 
TEX       = macros.tex contents.tex $(BOOKFILES) \
		jargon-new.lst jargon-chg.lst jargon-del.lst
PATCHERS = patch.contents patch.names patch.size fixjargon.pl splitnode.pl
ELISP    = jargon-mode.el
ALL      = READ.ME Makefile $(TEX) online.tex names.tex $(PATCHERS) ascii.bash nbreak.c dlgen.sh $(OLDFILES)

# Distribution files
FILES = $(HTMLFILES) $(DERIVED) jargon.html html graphics jarg$(VERS).gz

all: txtdist htmldist dvi 

# Plug in generated version and date variables
variables.tex: $(TXTFILES)
	echo "@set VERSION $(VERSION)" >variables.tex
	set `date`; echo "@set DATE $$3 "`echo $$2 | tr '[a-z]' '[A-Z]'`" $$6" >>variables.tex
	sh dlgen.sh $(VERSION)

#
# HTML: Make an HTML-only distribution tarball
#

htmldist: jargon-$(VERSION).tar.gz

jargon-$(VERSION).tar.gz: Introduction.html $(HTMLFILES) $(OLDFILES) $(DERIVED) jarg$(VERS).gz 
	@echo $(FILES) | tr ' ' "\012" | sed s:^:jargon-$(VERSION)/: >MANIFEST
	@(cd ..; ln -s jargon jargon-$(VERSION))
	(cd ..;tar -czf jargon/jargon-$(VERSION).tar.gz `cat jargon/MANIFEST`)
	@(cd ..; rm jargon-$(VERSION))
	ls -l jargon-$(VERSION).tar.gz

jargon.html: online.tex macros.tex variables.tex jargon.tex version.tex $(LEXIFILES)
	makeinfo --html jargon.tex

Introduction.html: jargon.html splitnode.pl
	splitnode.pl --title="The Jargon File" --framenode="The Jargon Lexicon" --version=$(VERSION) --graphdir="graphics" jargon.html

#
# TeX: Make a source distribution for publishers and other hackers
#
jargsrc.tar: $(ALL) $(ELISP)
	tar -cvf jargsrc.tar $(ALL) $(ELISP)
jargsrc.tar.gz: jargsrc.tar
	gzip -f jargsrc.tar

# Generate credits list
names.tex: nbreak $(BOOKFILES)
	patch.names

# Make the illustration pointers file
illos.tex: jargon.il
	sed <jargon.il >illos.tex '/\\entry *{\([^}]*\)}{\([0-9]*\)}{.*}/s//@set ILLO-\1 \2/'

# Make a corrected contents page
contents.tex: jargon.toc
	patch.contents

# Make the book version.
dvi: variables.tex $(BOOKFILES)
	make jargon.dvi		# to set up jargon.toc and jargon.il properly
	make illos.tex		# patch in `next' pointers in illo captions
	make contents.tex	# generate up-to-date contents page
	make jargon.dvi		# formatting with proper illo page numbers

FRONT = jargonbook.tex new.tex changed.tex # contents.tex
MS = variables.tex macros.tex $(FRONT) jargon.tex $(LEXIFILES) # names.tex

# Grind a DVI for previewing from the current collection of TeX files
jargon.dvi jargon.il jargon.toc: $(MS) names.tex
	rm -f jargon.aux	# This shouldn't be necessary
	tex '\newif\ifdvi \dvitrue \input jargon \batchmode'

# Now view it
preview: jargon.dvi
	xdvi -paper 6x9 -s 5 jargon.dvi

new.tex changed.tex: jargon-new.lst jargon-chg.lst
	$(AWK) -F"\t" <jargon-new.lst '{print $$1 "; "}' | sort -u >new.lst
	$(AWK) -F"\t" <jargon-chg.lst '{print $$1 "; "}' | sort -u >changed.lst
	sed <new.lst '$$s/; /./' >new.tex	
	comm -13 new.lst changed.lst | sed '$$s/; /./' >changed.tex

#
# Generate the info version (no longer distributed). We used to do this with:
# 	emacs -batch -l jargon-mode.el -e "jargon-make-info";rm -f jargon.info~
# but we use makeinfo now, which has the unfortunate effect that paragraphs
# get filled in behind us.
# 
txtdist: jarg$(VERS).gz

jarg$(VERS).gz: variables.tex $(TXTFILES)
	make jargon.txt
	mv jargon.txt jarg$(VERS)
	gzip -f jarg$(VERS)

# This is the plain-ASCII version
jargon.txt: variables.tex $(TXTFILES)
	makeinfo --no-split jargon.tex --output=/tmp/jargon$$.info
	ascii.bash </tmp/jargon$$.info >/tmp/jargon$$.txt
	sh patch.size /tmp/jargon$$.txt
	makeinfo --no-split jargon.tex --output=/tmp/jargon$$.info
	ascii.bash </tmp/jargon$$.info | fixjargon.pl >jargon.txt
	rm -f /tmp/jargon$$.info /tmp/jargon$$.txt

#
# Log and documentation files
#

# Generate a change report
jargon-upd.lst: 
	mkchange >changes.tex
	makeinfo --force --no-split --no-headers --output jargon-upd.lst changes.tex
	rm changes.tex
jargon-upd.lst.gz: jargon-upd.lst
	gzip jargon-upd.lst

# Generate the jargon-README file by dumping various HTML docs
jargon-README: jargbook.html jarghist.html
	echo "This file is dumped from two HTML documents." >jargon-README
	echo "You can view them using a WWW browser on the URL given below." >>jargon-README
	echo "" >>jargon-README
	lynx -dump jarghist.html >>jargon-README
	lynx -dump jargbook.html >>jargon-README

#
# Utility productions
#

spellcheck: jargon.txt
	spell +jargonwords jargon.txt 

pcheck: 
	grep -n "^@hd" lexicon[1234].tex | grep -v "@p{"

htmlclean:
	rm -fr html/*

clean: htmlclean
	rm -f *.cp *.aux *.fn *.log *.pg *.il changes.tex jargon-upd.lst
	rm -f *.toc *.tp *.vr *.ky *.dvi *.info *.info-* jsplit.?? *~ \#*
	rm -f jargon.html download.html
	rm -f new.tex changed.tex variables.tex jargon-README jargon.cut
	rm -f jargon$(VERSION).tar.gz

clobber: clean
	rm -f nbreak jarg2html

## jargon-text 4.4.7

=== Makefile ===
#!/bin/make
# Copyright 2005 Paul Martin <pm@debian.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA


all: jargon.txt
.PHONY: all

jargsrc.tar.gz:
	wget http://www.catb.org/~esr/jargon/jargsrc.tar.gz

jargon.xml: jargsrc.tar.gz
	tar xvfz jargsrc.tar.gz jargon.xml

jargon-text.xsl: jargsrc.tar.gz
	tar xvfz jargsrc.tar.gz jargon-text.xsl
	patch -p0 <jargon-text.xsl.patch

jargon.xsl: jargsrc.tar.gz
	tar xvfz jargsrc.tar.gz jargon.xsl
	patch -p0 <jargon.xsl.patch

jargon-web.xml:
	# esr wrote xmlif, but jargon.xml uses the old syntax
	perl -pe 's/<\?(if|else|fi)\b/<?xmlif \1/' <jargon.xml | \
	xmlif condition='web' >jargon-web.xml

jargon-web.html: jargon-web.xml
	# Convert XML to HTML
	xmlto -m jargon-text.xsl html-nochunks jargon-web.xml
	# Change acute accents to apostrophes. iso_8859-15 shows them badly
	sed -i "s/\o264/'/" jargon-web.html

jargon.txt: jargon-web.html
	# Turn into plain text
	elinks -dump -dump-width 79 -no-numbering 1 -no-references 1 \
		jargon-web.html >jargon.txt

clean:
	rm -f jargon-web.xml
	rm -f jargon-web.html
	rm -f jargon.txt
	rm -f jargsrc.tar.gz
	rm -f *~

force-update: superclean jargon.xsl jargon-text.xsl jargon.xml jargsrc.tar.gz
.PHONY: force-update

superclean:
	rm -f jargon.xml
	rm -f jargon-text.xsl
	rm -f jargon.xsl

=== debian/changelog ===
jargon-text (4.4.7-4.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 04 Jan 2021 14:52:28 +0100

jargon-text (4.4.7-4) unstable; urgency=low

  * "Doesn't seven years go past quickly?" release.
  * Remove "Suggests: vh". (Closes: #566222)
  * Move jargon.txt file from /usr/share/vh/ to /usr/share/doc/jargon-text/
    as we don't have vh any more.
  * Convert to debhelper 9 "dh" build mechanism.
  * Convert to 3.0 (quilt) source format.
  * debian/patch/588115-typos.patch: Fix some typos and misformatting.
    (Closes: #588115)
  * Bonus of rebuilding with newer tools... text is now UTF-8.
  * Bump standards version to 3.9.3.
  * Checked that the build is hardened round the edges and soft in the middle.

 -- Paul Martin <pm@debian.org>  Wed, 23 May 2012 16:38:16 +0100

jargon-text (4.4.7-3) unstable; urgency=high

  * Detect which version of elinks we're using. This allows us to build 
    on sarge with elinks 0.9.3 and also unstable with 0.10.x. 
    Build-depend on at least elinks 0.9.3. (Closes: #306838)

 -- Paul Martin <pm@debian.org>  Tue,  3 May 2005 14:42:24 +0100

jargon-text (4.4.7-2) unstable; urgency=low

  * Build-Depend on a recent version of elinks. (Closes: #306838)

 -- Paul Martin <pm@debian.org>  Tue,  3 May 2005 01:14:56 +0100

jargon-text (4.4.7-1) unstable; urgency=low

  * "New" upstream release.
    + Build directly from esr's XML source, formatting using elinks.
    + Fixes typo. (Closes: #190279)

 -- Paul Martin <pm@debian.org>  Thu, 31 Mar 2005 03:25:11 +0100

jargon-text (4.3.1-3) unstable; urgency=medium

  * Patch "patch.size" to fix old-Bashism causing FTBFS.
    (Closes: #264419)
  * Standards-Version: 3.6.1
  * Lintian-inspired fixes:
    - Debhelper 4
    - changed build-depends on awk to gawk|awk
    - Modified debian/control description
    - Fixed up debian/copyright

 -- Paul Martin <pm@debian.org>  Wed, 18 Aug 2004 21:22:56 +0100

jargon-text (4.3.1-2) unstable; urgency=low

  * Fixed fixjargon.pl so as not to mangle some entry headings.
    (Closes: #138340)
  * Standards-Version: 3.5.6

 -- Paul Martin <pm@debian.org>  Wed,  7 Aug 2002 18:58:35 +0100

jargon-text (4.3.1-1) unstable; urgency=low

  * New upstream version. (Closes: #103646)
  * The jargon-file the same as upsteam. Not a bug. (Closes: #98716)

 -- Paul Martin <pm@debian.org>  Sat, 14 Jul 2001 13:59:18 +0100

jargon-text (4.3.0-2) unstable; urgency=low

  * Fixed links in /usr/share/doc/jargon-text/jargon.html
    (Closes: #97973)

 -- Paul Martin <pm@debian.org>  Sat, 19 May 2001 12:16:50 +0100

jargon-text (4.3.0-1) unstable; urgency=low

  * New upstream version.
  * Upstream now produces good text again.

 -- Paul Martin <pm@debian.org>  Tue,  1 May 2001 16:16:13 +0100

jargon-text (4.2.3-1) unstable; urgency=low

  * New maintainer.
  * Synchronised to upstream.
  * Conforms to policy 3.5.2. Closes #89659

 -- Paul Martin <pm@debian.org>  Sat, 17 Mar 2001 00:53:13 +0000

jargon-text (4.0.0-1) unstable; urgency=low

  * Initial Release.

 -- Edward Betts <edward@hairnet.demon.co.uk>  Tue, 23 Feb 1999 00:47:53 +0000

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: jargon-text
Section: doc
Priority: optional
Maintainer: Paul Martin <pm@debian.org>
Build-Depends-Indep: debhelper (>> 9), xmlto, elinks (>= 0.9.3)
Standards-Version: 3.9.3

Package: jargon-text
Architecture: all
Depends: ${misc:Depends}
Description: definitive compendium of hacker slang
 This is the Jargon File, a comprehensive compendium of hacker slang
 illuminating many aspects of hackish tradition, folklore, and humor.
 This version is in the original text format.
